package top.baogutang.admin.controller;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * @description:
 * @author: nikooh
 * @date: 2023/10/12 : 11:01
 */

@Controller
public class StaticController {

    @RequestMapping
    public String viewJsonParseHtml() {
        // 这里返回的字符串是HTML文件名（不包括扩展名）
        return "json-parse";
    }

    @RequestMapping("/coin")
    public String viewCoinHtml() {
        // 这里返回的字符串是HTML文件名（不包括扩展名）
        return "coin";
    }

    @RequestMapping("/file-parse")
    public String viewFileParseHtml() {
        // 这里返回的字符串是HTML文件名（不包括扩展名）
        return "file-baogutang";
    }

    @RequestMapping("/map")
    public String viewMapHtml() {
        // 这里返回的字符串是HTML文件名（不包括扩展名）
        return "map";
    }
}
